from functools import lru_cache
import os
from tkinter import *
import json

def register():
    list1 = [uName.get(),uPos.get(), uRoom.get(), uEmail.get()]
    loaded_list.append(list1)
    listName.insert(END,list1[0])
    

def addNew():
    nMem = Toplevel(window)
    nMem.title("Registration")
    nMem.geometry("300x250")

    Label(nMem, text="Staff Name:").grid(row=0,column=0)
    Entry(nMem, textvariable=uName).grid(row=0,column=1)
    Label(nMem, text="Position:").grid(row=1,column=0)
    Entry(nMem, textvariable=uPos).grid(row=1,column=1)
    Label(nMem, text="Room:").grid(row=2,column=0)
    Entry(nMem, textvariable=uRoom).grid(row=2,column=1)
    Label(nMem, text="Email:").grid(row=3,column=0)
    Entry(nMem, textvariable=uEmail).grid(row=3,column=1)

    Button(nMem,text="Register", command=register).grid(row=4,column=0)
    Button(nMem,text="Cancel", command=nMem.destroy).grid(row=4,column=1)

    
def remove():
    value = listName.curselection()[0]
    print(value)
    templist = loaded_list[value]
    print(templist)
  
    loaded_list.remove(templist)
   
    listName.delete(0,END)    
    txt.delete(1.0,END)

    for line in loaded_list:
        staffName=line[0]
        print(staffName)
        listName.insert('end',staffName)

def select(evt):
    value = listName.curselection()[0]
    templist = loaded_list[value]

    txt.delete(1.0,END)
    for i in templist:
        txt.insert(END,i+'\n')

def save():
    with open("ASD/ASD/Lab8/BB/Lecture examples/users.json",'w') as l:
        json_obj = json.dumps(loaded_list)
        l.write(json_obj)


window=Tk()
window.title("Staff Members")

uName = StringVar()
uEmail = StringVar()
uRoom = StringVar()
uPos = StringVar()

listName=Listbox(window,width=100,height=100)
yscroll=Scrollbar(command=listName.yview)
yscroll.grid(row=0,column=3,sticky=NS,rowspan=3)

listName=Listbox(window,width=15,height=10,yscrollcommand=yscroll.set)
listName.grid(row=0,padx=0,pady=0,sticky=W,columnspan=2,rowspan=3)

yscroll.config(command=listName.yview)

txt = Text(window,width=30,height=10)
txt.grid(padx=5,pady=0,row=0,column=5)

f = Frame(window).grid(row=1,column=5)

Button(f, text="Add", command=addNew).grid(row=1,column=5, sticky=W)
Button(f, text="Save", command=save).grid(row=1,column=5)
Button(f, text="Remove", command=remove).grid(row=1,column=5, sticky=E)

with open("ASD/ASD/Lab8/BB/Lecture examples/users.json",'r') as l:
    loaded_list = json.load(l)
    for line in loaded_list:
        staffName=line[0] #selects 1st item in the list
        listName.insert('end',staffName)

listName.bind('<<ListboxSelect>>',select)


window.mainloop()