# OOP version to demonstrate Frames with grid layout
# A simple username text field and search button that displays
# what user has entered through a message box

import tkinter as tk
from tkinter import ttk
import tkinter.messagebox as mb

class App(tk.Tk):
    def __int__(self):
        super().__init__()
        self.title('My OOP App')
        self.geometry('200x70')
        
         

class MainFrame(ttk.Frame):
    def __init__(self, container):
        super().__init__(container)               
        options = {'padx': 5, 'pady': 5} # padding helps to show widgets fully 
        #options will be passed as parameter to pack()

        self.u_label = ttk.Label(text="Username")
        self.u_label.grid(column=0, row=0, **options) 
        self.user = tk.StringVar()
        self.u_entry = ttk.Entry(textvariable=self.user) 
        self.u_entry.grid(column=1, row=0, **options)   
        self.u_button = ttk.Button(text="SEARCH", command=self.validate)
        self.u_button.grid(column=0, columnspan=2, row=1, **options)      
    
    def validate(self):
        print("Username entered :", self.user.get())
        mb.showinfo(title='Information', message='OOP Tkinter! Hello ' + self.user.get())        

if __name__ == "__main__":
    app = App()
    frame = MainFrame(app)
    app.mainloop()    


"""

activity_4.py

from tkinter import *
import tkinter.messagebox as mb

def validate():
    print("Username entered :", user.get())
    mb.showinfo(title='Information', message='OOP Tkinter! Hello ' + user.get())  

w = Tk()

w.geometry("200x70")

f1 = Frame(w)
f1.pack(side=TOP)

u_label = Label(f1,text="Username")
u_label.pack(side=LEFT)

user = StringVar()
u_entry = Entry(f1, textvariable= user, bd=2) 
u_entry.pack(side=RIGHT)

u_button = Button(text="SEARCH", command=validate)
u_button.pack(side=BOTTOM)

w.mainloop()

"""