# A simple frame, username text field and search button that displays
# what user has entered through a message box

from tkinter import *
import tkinter.messagebox as mb

def validate():
    print("Username entered :", user.get())
    mb.showinfo(title='Information', message='OOP Tkinter! Hello ' + user.get())  

w = Tk()
w.geometry("200x70")
w.title("My App")

f1 = Frame(w)
f1.pack(side=TOP)

u_label = Label(f1,text="Username")
u_label.pack(side=LEFT)

user = StringVar()
u_entry = Entry(f1, textvariable= user, bd=2) 
u_entry.pack(side=RIGHT)

u_button = Button(text="SEARCH", command=validate)
u_button.pack(side=BOTTOM)

w.mainloop()