import sqlite3
conn = sqlite3.connect('example.db')

c = conn.cursor()
c.execute('''
CREATE TABLE tutor
(id INTEGER PRIMARY KEY ASC, name varchar(250) NOT NULL)
''')
c.execute('''
CREATE TABLE modules
(id INTEGER PRIMARY KEY ASC, module_name varchar(100), module_desc varchar(250),
module_code varchar(100) NOT NULL, tutor_id INTEGER NOT NULL,
FOREIGN KEY(tutor_id) REFERENCES tutor(id))
''')
c.execute('''
INSERT INTO tutor VALUES(1, 'Zaheer Khan')
''')
c.execute('''
INSERT INTO tutor VALUES(2, 'James Lear')
''')
c.execute('''
INSERT INTO modules VALUES(1, 'Web Development and Databases', 
   'Teaches web and database concepts', 'UFCFES-30-1', 1)
''')
c.execute('''
INSERT INTO modules VALUES(2, 'Advanced Software Development', 
    'Teaches SDLC through Object-Oriented Analysis and Design', 'UFCF8S-30-2', 1)
''')
c.execute('''
INSERT INTO modules VALUES(3, 'Object Oriented Analysis and Design', 
     'Teaches OO Analysis and Design', 'UFCFXS-30-2', 1)
''')
c.execute('SELECT * FROM tutor')
print(c.fetchall())
c.execute('SELECT * FROM modules')
print(c.fetchall())
conn.commit()
conn.close()