#Adding records
#Source: https://www.pythoncentral.io/introductory-tutorial-python-sqlalchemy/
from sqlachemy_declarative import Modules
from sqlachemy_declarative import Tutor
from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker

from sqlachemy_declarative import Tutor, Base, Modules

engine = create_engine('sqlite:///sqlalchemy_db.db')
# Bind the engine to the metadata of the Base class so that the
# declaratives can be accessed through a DBSession instance
Base.metadata.bind = engine

DBSession = sessionmaker(bind=engine)

# A DBSession() instance establishes all conversations with the database
session = DBSession()

# Insert a Tutor in the tutor table
new_tutor = Tutor(id=1000, name='Zaheer Khan')
session.add(new_tutor)
session.commit()

# Insert a Module in the module table
# 'Web Development and Databases', 'Teaches web and 
# database concepts', 'UFCFES-30-1', 1
new_module = Modules(id=1000, module_name= 'Web Development and Databases', 
    module_desc='Teaches web and database concepts', 
    module_code='UFCFES-30-1', tutor=new_tutor)
session.add(new_module)
session.commit()

#'Advanced Software Development','Teaches SDLC through 
# Object-Oriented Analysis and Design', 'UFCF8S-30-2' 
new_module = Modules(id=1001, module_name= 'Advanced Software Development', 
    module_desc='Teaches SDLC through Object-Oriented Analysis and Design', 
    module_code='UFCF8S-30-2', tutor=new_tutor)
session.add(new_module)
session.commit()

new_tutor = Tutor(id=1001, name='James Lear')
session.add(new_tutor)
session.commit()

# 'Object Oriented Analysis and Design', 'Teaches OO 
# Analysis and Design', 'UFCFXS-30-2'
new_module = Modules(id=1002, module_name= 'Object Oriented Analysis and Design', 
    module_desc='Teaches OO Analysis and Design', 
    module_code='UFCFXS-30-2', tutor=new_tutor)
session.add(new_module)
session.commit()
