from tkinter import *

#demonstrates how to disable and enable a button at run time 

root = Tk()
root.title('Disabling Enabling Button at Run Time')
root.geometry('500x80')

def isChecked():
    if tc_checkbutton.get() == 1:
        loginbtn['state'] = NORMAL
        loginbtn.configure(text='Login!')
    elif tc_checkbutton.get() == 0:
        loginbtn['state'] = DISABLED
        loginbtn.configure(text='Cannot Login!')
    else:
        print('An error has occured!')

tc_checkbutton = IntVar()

Checkbutton(root, text="Accept Terms & Conditions", variable=tc_checkbutton, onvalue=1, offvalue=0, command=isChecked).pack()
loginbtn = Button(root, text='Cannot Login!', state=DISABLED, padx=20, pady=5)
loginbtn.pack()

root.mainloop()