import tkinter as tk
from tkinter import ttk


def return_pressed(event):
    print('Return key pressed.')    #message on terminal

def log(event): 
    print(event)    #displays full event details including x, y position and keycode


root = tk.Tk()

btn = ttk.Button(root, text='Save')
btn.bind('<Return>', return_pressed)    #<Return> is for Enter key
btn.bind('<Return>', log, add='+')  #Same event but multiple handlers require add parameter with '+'


btn.focus()
btn.pack(expand=True)

root.mainloop()

#Source: https://www.pythontutorial.net/tkinter/tkinter-event-binding/ 