import tkinter as tk
from tkinter import ttk

#ttk theme style reference: https://anzeljg.github.io/rin2/book2/2405/docs/tkinter/ttk-themes.html 
#detailed documentation: https://tkdocs.com/tutorial/styles.html 

window = tk.Tk()
window.geometry("400x600")
window.configure(bg="red")

"""
window.grid_columnconfigure(1, weight=1)
window.grid_rowconfigure(0, weight=1)
window.grid_rowconfigure(1, weight=1)
window.grid_rowconfigure(2, weight=1)
"""

fr = tk.Frame(window, bg= "orange")
tk.Label(fr, text="Hello World !!!", background="blue").pack(padx=50,pady=50)
fr.grid(row=0, sticky='news')

s = ttk.Style()
s.theme_use('aqua')
s.configure('TFrame', background='#FF0000', foreground="#FFFFFF")
fr1 = ttk.Frame(window)


s.configure('Frame2.TFrame', background='#7AC5CD')  #Newname.oldname
fr2 = ttk.Frame(window, style="Frame2.TFrame")

tk.Label(fr1, text="Bye World 1 !!!", background="green").pack(padx=50,pady=50)

tk.Label(fr2, text="Bye World 2 !!!").pack(padx=50,pady=50)


fr1.grid(row=1, sticky='news')
fr2.grid(row=2, sticky='news')

window.mainloop()
