#This example is for exprimenting with frames... 
#See how frame-based classes can be reused 


import tkinter as tk
from tkinter import ttk
import tkinter.messagebox as mb


class App(tk.Tk):
    def __int__(self):
        super().__init__()
        self.title('My OOP App')
        self.geometry('600x150')
        # windows only (remove the minimize/maximize button)
        #self.attributes('-toolwindow', True)


class MainFrame(ttk.Frame):
    def __init__(self, container):
        super().__init__(container)        

        # setup the grid layout manager
        #self.columnconfigure(0, weight=2)

    #    self.__create_widgets()  #you may remove this line and line 18 to introduce widgets in the constructor
        
    #def __create_widgets(self):
        options = {'padx': 0, 'pady': 5} # padding helps to show widgets fully 
        #options will be passed as parameter to pack()

        self.u_label = ttk.Label(self, text="Username")
        self.u_label.grid(column=0, row=0, **options) 

        self.user = tk.StringVar()
        self.u_entry = ttk.Entry(self, textvariable=self.user, width=30) 
        self.u_entry.grid(column=1, row=0, **options)   

        self.u_button = ttk.Button(self, text="Find", command=self.validate)
        self.u_button.grid(column=0, columnspan=2, row=1, **options)

        #for widget in self.winfo_children():
        #    widget.grid(padx=0, pady=3)
            
    def validate(self):
        print("Username entered :", self.user.get())
        mb.showinfo(title='Information', message='OOP Tkinter! Hello ' + self.user.get())        



if __name__ == "__main__":
    app = App()
    frame1 = MainFrame(app).grid(column=0, row=0)
    frame2= MainFrame(app).grid(column=1, row=0)
    app.mainloop()    


