#Example adapted from: https://www.pythontutorial.net/tkinter/tkinter-command/ 
import tkinter as tk
from tkinter import ttk
from random import randint

root = tk.Tk()

#callback funciton with parameters
def selectwinner(options):
    givenoptions = ['Rock', 'Paper', 'Scissors']
    selection_index = randint(0,2)
    if givenoptions[selection_index] == options:
        print('Well done! ', options, ' Won!')
    else:
        print('Better luck next time! ', options)
        
# Use lambda function if you want to pass parameters to command binding callback function

ttk.Button(root, text='Rock', command=lambda: selectwinner('Rock')).pack()
ttk.Button(root, text='Paper',command=lambda: selectwinner('Paper')).pack()
ttk.Button(root, text='Scissors', command=lambda: selectwinner('Scissors')).pack()

root.mainloop()